Bug 211738 - Sotware Updater error.
Sotware Updater error.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
: 212171 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 11:26 EDT by Steve
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 14:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2006-10-21 11:26:18 EDT
Description of problem:Component: Software Manager
Summary: TBc7d02ae3 config.py:689:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 390, in ?
    main()
  File "/usr/sbin/pirut", line 383, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 57, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 123, in __init__
    self.doConfigSetup(configfn)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 102, in
doConfigSetup
    self.conf = config.readMainConfig(fn, root)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 589, in readMainConfig
    vars['releasever'] = _getsysver(earlyconf.installroot, earlyconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 689, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0xb798cfec>
distroverpkg: redhat-release


Version-Release number of selected component (if applicable):


How reproducible: Just download most recent updates from Software Updater.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2006-10-22 08:07:11 EDT
This is a pirut, not an rpm, error.
Comment 2 Jeremy Katz 2006-10-23 07:32:00 EDT
What versions of pirut, yum and fedora-release do you have installed?
Comment 3 Bill Nottingham 2006-10-25 12:21:11 EDT
*** Bug 212171 has been marked as a duplicate of this bug. ***
Comment 4 Tim McConnell 2006-10-25 19:05:11 EDT
I get the same error. I have yum version 2.6.1, pirut-1.0.3-0.fc5, and kernel
2.6.18-1.2200.fc5.
uname -a results are: Linux red1.timmieland.private 2.6.18-1.2200.fc5 #1 Sat Oct
14 16:59:26 EDT 2006 i686 athlon i386 GNU/Linux
if that helps. I also have yumex installed version: yumex-1.0.3-3.0.fc5
all three fail to get updates, yum and yumex claim they cannot find vaild repos.  

Comment 5 Tim McConnell 2006-10-25 19:13:23 EDT
Here is the output from Yumex: 
[root@red1 ~]# yumex
Mirrordetection : best
Yum Version : 2.6.1 (/usr/share/yum-cli)
/usr/lib/python2.4/site-packages/yum/config.py:454: DeprecationWarning:
getConfigOption() will go away in a future version of Yum.
Please access option values as attributes or using getattr().
  DeprecationWarning)
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "kernel-module" plugin
WARNING: Cannot find a valid baseurl for repo: core
WARNING: Cannot find a valid baseurl for repo: updates
WARNING: Cannot find a valid baseurl for repo: extras
ERROR: Cannot find a valid baseurl for repo: core
[root@red1 ~]# yum update
Loading "installonlyn" plugin
Loading "tsflags" plugin
Loading "fedorakmod" plugin
Loading "kernel-module" plugin
Setting up Update Process
Setting up repositories
livna                                                                [1/5]
macromedia                                                           [2/5]
core                                                                 [3/5]
Cannot find a valid baseurl for repo: core
Error: Cannot find a valid baseurl for repo: core
[root@red1 ~]# yumex
Mirrordetection : best
Yum Version : 2.6.1 (/usr/share/yum-cli)
/usr/lib/python2.4/site-packages/yum/config.py:454: DeprecationWarning:
getConfigOption() will go away in a future version of Yum.
Please access option values as attributes or using getattr().
  DeprecationWarning)
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "kernel-module" plugin
WARNING: Cannot find a valid baseurl for repo: core
WARNING: Cannot find a valid baseurl for repo: updates
WARNING: Cannot find a valid baseurl for repo: extras
ERROR: Cannot find a valid baseurl for repo: core
4 metadata files removed
/var/cache/yum/yumex-mirror-cache.conf was not deleted
Setup Yum : Config
Setup Yum : Plugins
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "kernel-module" plugin
Setup Yum : Transaction Set
Setup Yum : RPM Db.
Setup Yum : Base setup completed
Enable/Disable Repositories
WARNING: Cannot find a valid baseurl for repo: core
WARNING: Cannot find a valid baseurl for repo: updates
WARNING: Cannot find a valid baseurl for repo: extras
Loading Repositories Data
Loading Repositories Data : Init. updates-debuginfo repository
Determining best mirrors for updates-debuginfo
--> Mirrors Detected (Top 3)
---> http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/i386/debug/
Loading Repositories Data : Init. livna repository
Determining best mirrors for livna
--> Mirrors Detected (Top 3)
---> http://rpm.livna.org/fedora/5/i386/
---> http://mirror.atrpms.net/livna/fedora/5/i386/
---> http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/5/i386/
Loading Repositories Data : Init. macromedia repository
Determining best mirrors for macromedia
--> Mirrors Detected (Top 3)
---> http://macromedia.rediris.es/rpm/
Loading Repositories Data : Init. core repository
ERROR: Cannot find a valid baseurl for repo: core

Note You need to log in before you can comment on or make changes to this bug.